Bug 200017 - print/gimp-gutenprint: Poudriere build fails with an orphaned item
Summary: print/gimp-gutenprint: Poudriere build fails with an orphaned item
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-patch, needs-qa, patch
Depends on: 202324
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-06 21:21 UTC by Yuri Victorovich
Modified: 2015-09-23 00:00 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
print/gutenprint-base: prevent creation of orphaned dir in slave ports (437 bytes, patch)
2015-05-23 22:10 UTC, Christoph Moench-Tegeder
cmt: maintainer-approval+
Details | Diff
Poudriere Build Log from 11.0-CURRENT amd64 (256.68 KB, text/x-log)
2015-05-28 01:07 UTC, Jason Unovitch
no flags Details
revised patch (437 bytes, patch)
2015-07-22 20:44 UTC, Christoph Moench-Tegeder
cmt: maintainer-approval+
Details | Diff
"poudriere testport" on amd64 10.1-RELEASE (199.29 KB, text/x-log)
2015-07-22 20:46 UTC, Christoph Moench-Tegeder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-05-06 21:21:29 UTC
> ===> Checking for items in STAGEDIR missing from pkg-plist
> Error: Orphaned: @dir lib/gutenprint/5.2/modules
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-05-23 22:10:16 UTC
Created attachment 157090 [details]
print/gutenprint-base: prevent creation of orphaned dir in slave ports

The ${LOCALBASE}/lib/gutenprint/5.2/modules was created unconditionally in all gutenprint slave ports, while it's listed only in gutenprint-base's pkg-plist.
This patch to print/gutenprint-base (note port!) fixes the issue by preventing directory creation in all slave ports (at least it does here. sorry, I still do not have poudriere set up).
Comment 2 Jason Unovitch freebsd_committer 2015-05-28 01:07:58 UTC
Created attachment 157208 [details]
Poudriere Build Log from 11.0-CURRENT amd64

Port successfully builds and Poudriere log attached however portlint and Poudriere both returned some warnings shown below.

Poudriere testport:

configure: WARNING: unrecognized options: --with-gimp

Warning: 'lib/libgutenprint.so.2.3.0' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib/libgutenprintui2.so.1.0.0' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}


Portlint:
WARN: Makefile: [49]: You may remove pkg-plist if you use PLIST_FILES and/or PLIST_DIRS.
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: unless this is a master port, PORTNAME has to be set by "=", not by "?=".
WARN: /usr/ports/print/gutenprint-base/files/patch-src__gimp2__Makefile.in: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
WARN: /usr/ports/print/gutenprint-base/files/patch-src__main__print-olympus.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
0 fatal errors and 5 warnings found.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-28 02:19:37 UTC
Pending updated patch
Comment 4 Christoph Moench-Tegeder freebsd_committer 2015-07-22 20:44:38 UTC
Created attachment 159092 [details]
revised patch

Fixed:
- WARNING: unrecognized options: --with-gimp
  yes, that's gone
- I used INSTALL_TARGET=install-strip to get rid of the "not stripped" warnings.

What's left:
- WARN: Makefile: [99]: use ${VARIABLE}, instead of $(VARIABLE).
  this this seems to be a false-positive on the content of that REINPLACE, there's "$(pkglibdir)" in there which has to stay (it's not a make variable, it's the original file's content).
- WARN: Makefile: [50]: You may remove pkg-plist if you use PLIST_FILES and/or PLIST_DIRS.
  the PLIST_FILES are used for a sub-port, and the pkg-plist is used for this (the -base) port
- WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
  not now. is that still a thing?
- WARN: Makefile: unless this is a master port, PORTNAME has to be set by "=", not by "?=".
  it's a master port.
- and two warning about patches not being in makepatch format - for now, I'll leave them as-is, and will fix them when their content changes.

I have no printer suitable for testing this, so... good luck?
Comment 5 Christoph Moench-Tegeder freebsd_committer 2015-07-22 20:46:48 UTC
Created attachment 159093 [details]
"poudriere testport" on amd64 10.1-RELEASE
Comment 6 Christoph Moench-Tegeder freebsd_committer 2015-09-13 20:47:20 UTC
for reference: I rolled up this change into PR 202324 to avoid conflicts.
this PR should be closed as "overcome by events"
Comment 7 Jason Unovitch freebsd_committer 2015-09-19 14:00:41 UTC
Set depends on bug 202324 based on comment 6.
Comment 8 commit-hook freebsd_committer 2015-09-22 23:59:33 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep 22 23:59:07 UTC 2015
New revision: 397598
URL: https://svnweb.freebsd.org/changeset/ports/397598

Log:
  - Make GTK2 support optional
  - Fix module directory handling
  - Strip libraries
  - Minor fixes

  PR:		196321, 200017, 202324
  Submitted by:	mazhe@alkumuna.eu, yuri@rawbw.com, amdmi3@FreeBSD.org, cmt@burggraben.net (maintainer)
  Approved by:	cmt@burggraben.net (maintainer)

Changes:
  head/print/gimp-gutenprint/Makefile
  head/print/gutenprint-base/Makefile
  head/print/gutenprint-base/pkg-plist
  head/print/gutenprint-cups/pkg-plist